diff --git a/src/main/java/net/minecraft/client/gui/GuiIngame.java b/src/main/java/net/minecraft/client/gui/GuiIngame.java
index af8ccd02b..c4f7123b2 100644
--- a/src/main/java/net/minecraft/client/gui/GuiIngame.java
+++ b/src/main/java/net/minecraft/client/gui/GuiIngame.java
@@ -9,10 +9,10 @@ import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
 
+import net.minecraft.client.entity.player.MultiplayerLocalPlayer;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.player.EntityClientPlayerMP;
 import net.minecraft.client.gui.hud.HudComponent;
 import net.minecraft.client.gui.hud.HudComponents;
 import net.minecraft.client.render.FontRenderer;
@@ -20,17 +20,18 @@ import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.dynamictexture.DynamicTexture;
 import net.minecraft.client.render.entity.ItemEntityRenderer;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.stitcher.IconCoordinate;
-import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.texture.stitcher.IconCoordinate;
+import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.data.tag.Tag;
-import net.minecraft.core.entity.player.EntityPlayer;
+import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.LightLayer;
-import net.minecraft.core.item.Item;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.ChatLine;
@@ -40,7 +41,7 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.season.Season;
 import net.minecraft.core.world.weather.Weather;
-import net.minecraft.core.world.wind.WindManager;
+import net.minecraft.core.world.wind.WindProvider;
 
 public class GuiIngame extends Gui
 {
@@ -53,7 +54,7 @@ public class GuiIngame extends Gui
     public int updateCounter = 0;
     private String recordPlaying = "";
     private int recordPlayingUpFor = 0;
-    private boolean field_22065_l = false;
+    private boolean colorString = false;
     public float damageGuiPartialTime;
     float prevVignetteBrightness = 1.0f;
     protected FontRenderer fontrenderer;
@@ -90,7 +91,7 @@ public class GuiIngame extends Gui
 
         // Render pumpkin overlay
         ItemStack headSlotItem = mc.thePlayer.inventory.armorItemInSlot(3);
-        if (mc.gameSettings.thirdPersonView.value == 0 && headSlotItem != null && headSlotItem.itemID == Block.pumpkinCarvedIdle.id)
+        if (mc.gameSettings.thirdPersonView.value == 0 && headSlotItem != null && headSlotItem.itemID == Blocks.PUMPKIN_CARVED_IDLE.id)
         {
             renderPumpkinBlur(width, height);
         }
@@ -109,7 +110,6 @@ public class GuiIngame extends Gui
         }
 
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        GL11.glBindTexture(3553 /* GL_TEXTURE_2D */, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/icons.png"));
 
         //Sleep Overlay
         Lighting.disable();
@@ -150,20 +150,20 @@ public class GuiIngame extends Gui
             }
             else
             {
-                for (int iinv = 0; iinv < mc.thePlayer.inventory.getSizeInventory(); iinv++)
+                for (int iinv = 0; iinv < mc.thePlayer.inventory.getContainerSize(); iinv++)
                 {
-                    ItemStack item = mc.thePlayer.inventory.getStackInSlot(iinv);
+                    ItemStack item = mc.thePlayer.inventory.getItem(iinv);
                     if (item != null)
                     {
-                        if (item.itemID == Item.toolClock.id)
+                        if (item.itemID == Items.TOOL_CLOCK.id)
                         {
                             clock = true;
                         }
-                        if (item.itemID == Item.toolCompass.id)
+                        if (item.itemID == Items.TOOL_COMPASS.id)
                         {
                             compass = true;
                         }
-                        if (item.itemID == Item.toolCalendar.id)
+                        if (item.itemID == Items.TOOL_CALENDAR.id)
                         {
                             rotaryCalendar = true;
                         }
@@ -194,6 +194,7 @@ public class GuiIngame extends Gui
                 drawDebugScreenLineRight("Used memory: " + (memUsed * 100L) / memMax + "% (" + memUsed / 1024L / 1024L + "MB) of " + memMax / 1024L / 1024L + "MB");
                 drawDebugScreenLineRight("Allocated memory: " + (memTotal * 100L) / memMax + "% (" + memTotal / 1024L / 1024L + "MB)");
                 drawDebugScreenLineRight("JRE: " + System.getProperty("java.version") + " (" + System.getProperty("java.vendor") + ")");
+                drawDebugScreenLineRight("LWJGL version: " + org.lwjgl.Version.getVersion());
 
                 debugOffsetRight += space;
 
@@ -202,6 +203,7 @@ public class GuiIngame extends Gui
                 drawDebugScreenLineRight(GL11.glGetString(GL11.GL_VERSION));
                 drawDebugScreenLineRight("Resolution: " + mc.resolution.width + "x" + mc.resolution.height);
                 drawDebugScreenLineRight("Render Resolution: " + mc.renderer.getRenderWidth() + "x" + mc.renderer.getRenderHeight());
+                
                 drawDebugScreenLine("Better than Adventure! " + Minecraft.VERSION);
                 drawDebugScreenLine(mc.debug);
                 drawDebugScreenLine(mc.getRendererDebugInfo());
@@ -218,8 +220,8 @@ public class GuiIngame extends Gui
                     drawDebugScreenLine("Y: " + mc.thePlayer.y);
                     drawDebugScreenLine("Z: " + mc.thePlayer.z);
                     
-                    int chunkX = MathHelper.floor_double(mc.thePlayer.x) >> 4;
-                	int chunkZ = MathHelper.floor_double(mc.thePlayer.z) >> 4;
+                    int chunkX = MathHelper.floor(mc.thePlayer.x) >> 4;
+                	int chunkZ = MathHelper.floor(mc.thePlayer.z) >> 4;
                     
             		drawDebugScreenLine("Chunk: " + chunkX + ", " + chunkZ);
             		
@@ -236,9 +238,9 @@ public class GuiIngame extends Gui
                 {
                     if (!compass) debugOffset += space;
 
-                    int playerX = MathHelper.floor_double(mc.thePlayer.x);
-                    int playerY = MathHelper.floor_double(mc.thePlayer.y);
-                    int playerZ = MathHelper.floor_double(mc.thePlayer.z);
+                    int playerX = MathHelper.floor(mc.thePlayer.x);
+                    int playerY = MathHelper.floor(mc.thePlayer.y);
+                    int playerZ = MathHelper.floor(mc.thePlayer.z);
                     drawDebugScreenLine("Light: Sky: " + mc.theWorld.getSavedLightValue(LightLayer.Sky, playerX, playerY, playerZ) + " Block: " + mc.theWorld.getSavedLightValue(LightLayer.Block, playerX, playerY, playerZ));
                 }
 
@@ -262,9 +264,9 @@ public class GuiIngame extends Gui
                     Weather weather = mc.theWorld.getCurrentWeather();
                     String weatherString = weather != null ? weather.getTranslatedName() : "None";
                     
-                    int blockX = MathHelper.floor_double(mc.thePlayer.x);
-					int blockY = MathHelper.floor_double(mc.thePlayer.y);
-					int blockZ = MathHelper.floor_double(mc.thePlayer.z);
+                    int blockX = MathHelper.floor(mc.thePlayer.x);
+					int blockY = MathHelper.floor(mc.thePlayer.y);
+					int blockZ = MathHelper.floor(mc.thePlayer.z);
                     
                     drawDebugScreenLine("Season: " + seasonString);
                     drawDebugScreenLine("Weather: " + weatherString + " (" + (mc.theWorld.weatherManager.getWeatherDuration() / 20) + "s I: " + percentRound(mc.theWorld.weatherManager.getWeatherIntensity()) + "% P: " + percentRound(mc.theWorld.weatherManager.getWeatherPower()) + "%)");
@@ -275,10 +277,10 @@ public class GuiIngame extends Gui
                     
                     drawDebugScreenLine("Temperature: " + temperature + " Humidity: " + humidity);
                     
-                    WindManager windManager = mc.theWorld.worldType.getWindManager();
-                    if(windManager != null) {
-                    	float direction = (float) floor100(windManager.getWindDirection(mc.theWorld, 0.0f, 500.0f, 0.0f));
-                    	float intensity = (float) floor100(windManager.getWindIntensity(mc.theWorld, 0.0f, 500.0f, 0.0f));
+                    WindProvider windProvider = mc.theWorld.worldType.getWindManager();
+                    if(windProvider != null) {
+                    	float direction = (float) floor100(windProvider.getWindDirection(mc.theWorld, 0.0f, 500.0f, 0.0f));
+                    	float intensity = (float) floor100(windProvider.getWindIntensity(mc.theWorld, 0.0f, 500.0f, 0.0f));
 
                         int yaw = DynamicTexture.pmod(java.lang.Math.round((direction * 360.0f) + 270.0f), 360);
                     	drawDebugScreenLine("Wind: " + yaw + "°, " + java.lang.Math.round(intensity * 100.0f) + "%");
@@ -432,9 +434,9 @@ public class GuiIngame extends Gui
                     }
 					if(mc.gameSettings.overlayShowBiome.value)
 					{
-						int blockX = MathHelper.floor_double(mc.thePlayer.x);
-						int blockY = MathHelper.floor_double(mc.thePlayer.y);
-						int blockZ = MathHelper.floor_double(mc.thePlayer.z);
+						int blockX = MathHelper.floor(mc.thePlayer.x);
+						int blockY = MathHelper.floor(mc.thePlayer.y);
+						int blockZ = MathHelper.floor(mc.thePlayer.z);
 						String key = mc.theWorld.getBlockBiome(blockX, blockY, blockZ).translationKey;
 						drawString(fontrenderer, stringtranslate.translateKey(key), tsp, tsp + lineHeight * line++, 0xffffff);
 					}
@@ -496,9 +498,9 @@ public class GuiIngame extends Gui
                 {
                     int itemCount = 0;
                     int stackCount = 0;
-                    for (int i = 0; i < mc.thePlayer.inventory.getSizeInventory(); i++)
+                    for (int i = 0; i < mc.thePlayer.inventory.getContainerSize(); i++)
                     {
-                        ItemStack itemStack = mc.thePlayer.inventory.getStackInSlot(i);
+                        ItemStack itemStack = mc.thePlayer.inventory.getItem(i);
                         if (itemStack != null && itemStack.itemID == heldItemStack.itemID && itemStack.getMetadata() == heldItemStack.getMetadata())
                         {
                             itemCount += itemStack.stackSize;
@@ -535,7 +537,7 @@ public class GuiIngame extends Gui
         if (mc.gameSettings.keyToggleTextureAtlas.isPressed()) {
             Tessellator tessellator = Tessellator.instance;
 
-            TextureRegistry.blockAtlas.bindTexture();
+            TextureRegistry.blockAtlas.bind();
             
             
             int blockW = TextureRegistry.blockAtlas.getAtlasWidth();
@@ -551,7 +553,7 @@ public class GuiIngame extends Gui
 
             int blockEndX = (int) (20 + blockW * scaleBlock + 10);
 
-            TextureRegistry.itemAtlas.bindTexture();
+            TextureRegistry.itemAtlas.bind();
             
             int itemW = TextureRegistry.itemAtlas.getAtlasWidth();
             int itemH = TextureRegistry.itemAtlas.getAtlasHeight();
@@ -566,7 +568,7 @@ public class GuiIngame extends Gui
 
             int itemEndX = (int) (blockEndX + itemW * scaleItem + 10);
 
-            TextureRegistry.particleAtlas.bindTexture();
+            TextureRegistry.particleAtlas.bind();
 
             int particleW = TextureRegistry.particleAtlas.getAtlasWidth();
             int particleH = TextureRegistry.particleAtlas.getAtlasHeight();
@@ -631,9 +633,9 @@ public class GuiIngame extends Gui
         }
         if (!mc.gameSettings.showPlayerList.value) return;
 
-        if (!(mc.thePlayer instanceof EntityClientPlayerMP)) return;
+        if (!(mc.thePlayer instanceof MultiplayerLocalPlayer)) return;
 
-        EntityClientPlayerMP player = (EntityClientPlayerMP) mc.thePlayer;
+        MultiplayerLocalPlayer player = (MultiplayerLocalPlayer) mc.thePlayer;
         HashMap<String, String> players = player.sendQueue.playerList;
 
 //		List<PlayerProfile> players = new ArrayList<>();
@@ -722,7 +724,7 @@ public class GuiIngame extends Gui
                 GL11.glEnable(3042 /* GL_BLEND */);
                 GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
                 int k4 = 0xffffff;
-                if (field_22065_l)
+                if (colorString)
                 {
                     k4 = Color.HSBtoRGB(f2 / 50F, 0.7F, 0.6F) & 0xffffff;
                 }
@@ -824,7 +826,7 @@ public class GuiIngame extends Gui
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         GL11.glDisable(3008 /* GL_ALPHA_TEST */);
-        GL11.glBindTexture(3553 /* GL_TEXTURE_2D */, mc.renderEngine.getTexture("%blur%/misc/pumpkinblur.png"));
+        mc.renderEngine.loadTexture("/assets/minecraft/textures/misc/pumpkinblur.png").bind();
         Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(0.0D, ySize, -90D, 0.0D, 1.0D);
@@ -846,7 +848,7 @@ public class GuiIngame extends Gui
         GL11.glDepthMask(false);
         GL11.glBlendFunc(0, 769);
         GL11.glColor4f(prevVignetteBrightness, prevVignetteBrightness, prevVignetteBrightness, 1.0F);
-        GL11.glBindTexture(3553 /* GL_TEXTURE_2D */, mc.renderEngine.getTexture("%blur%/misc/vignette.png"));
+        mc.renderEngine.loadTexture("/assets/minecraft/textures/misc/vignette.png").bind();
         Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(0.0D, ySize, -90D, 0.0D, 1.0D);
@@ -874,7 +876,7 @@ public class GuiIngame extends Gui
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
         GL11.glColor4f(1.0F, 1.0F, 1.0F, intensity);
         IconCoordinate portal = TextureRegistry.getTexture("minecraft:block/portal_nether");
-        portal.parentAtlas.bindTexture();
+        portal.parentAtlas.bind();
         float f1 = (float) portal.getIconUMin();
         float f2 = (float) portal.getIconVMin();
         float f3 = (float) portal.getIconUMax();
@@ -948,7 +950,7 @@ public class GuiIngame extends Gui
     {
         recordPlaying = I18n.getInstance().translateKeyAndFormat("gui.ingame.label.now_playing", s);
         recordPlayingUpFor = 60;
-        field_22065_l = true;
+        colorString = true;
     }
 
     public void addChatMessageTranslate(String s)
@@ -958,8 +960,8 @@ public class GuiIngame extends Gui
         addChatMessage(result);
     }
 
-    public static String getFacingDirection(EntityPlayer player)
+    public static String getFacingDirection(Player player)
     {
-        return directions[(MathHelper.floor_double((double) ((player.yRot * 4F) / 360F) + 0.5D) + 2) & 3];
+        return directions[(MathHelper.floor((double) ((player.yRot * 4F) / 360F) + 0.5D) + 2) & 3];
     }
 }
\ No newline at end of file
diff --git a/src/main/java/net/minecraft/client/gui/GuiIngameDoom.java b/src/main/java/net/minecraft/client/gui/GuiIngameDoom.java
index 9076add53..81376bfe5 100644
--- a/src/main/java/net/minecraft/client/gui/GuiIngameDoom.java
+++ b/src/main/java/net/minecraft/client/gui/GuiIngameDoom.java
@@ -2,9 +2,9 @@ package net.minecraft.client.gui;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.FontRenderer;
-import net.minecraft.core.block.Block;
+import net.minecraft.client.render.texture.stitcher.TextureRegistry;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
 import org.lwjgl.opengl.GL11;
 
@@ -47,7 +47,7 @@ public class GuiIngameDoom
 
         // Render pumpkin overlay
         ItemStack headSlotItem = mc.thePlayer.inventory.armorItemInSlot(3);
-        if (mc.gameSettings.thirdPersonView.value == 0 && headSlotItem != null && headSlotItem.itemID == Block.pumpkinCarvedIdle.id)
+        if (mc.gameSettings.thirdPersonView.value == 0 && headSlotItem != null && headSlotItem.itemID == Blocks.PUMPKIN_CARVED_IDLE.id)
         {
             renderPumpkinBlur(width, height);
         }
@@ -69,15 +69,14 @@ public class GuiIngameDoom
         drawStacks();
 
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        GL11.glBindTexture(3553 /* GL_TEXTURE_2D */, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/icons.png"));
 
         if (mc.gameSettings.immersiveMode.drawCrosshair() && mc.gameSettings.thirdPersonView.value == 0)
         {
-            // Render status icons
-            GL11.glEnable(3042 /* GL_BLEND */);
-            GL11.glBlendFunc(775, 769);
-            drawTexturedModalRect(width / 2 - 7, height / 2 - 7, 0, 0, 16, 16);
-            GL11.glDisable(3042 /* GL_BLEND */);
+            // Render crosshair
+            GL11.glEnable(GL11.GL_BLEND);
+            GL11.glBlendFunc(GL11.GL_ONE_MINUS_DST_COLOR, GL11.GL_ONE_MINUS_SRC_COLOR);
+            drawGuiIcon(width/2 - 7, height/2 - 7, 15, 15, TextureRegistry.getTexture("minecraft:gui/hud/crosshair"));
+            GL11.glDisable(GL11.GL_BLEND);
         }
     }
 
@@ -87,7 +86,7 @@ public class GuiIngameDoom
         int height = mc.resolution.scaledHeight;
 
         GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
-        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/doom.png"));
+        mc.renderEngine.loadTexture("/assets/minecraft/textures/gui/hud/doom.png").bind();
 
         // Draw main hotbar
         drawTexturedModalRect(width / 2 - 197, height - 43, 0, 0, 197, 43);
@@ -155,7 +154,7 @@ public class GuiIngameDoom
     private void drawNumber(int i, int x, int y)
     {
         GL11.glColor4f(1f, 1f, 1f, 1f);
-        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/doom.png"));
+        mc.renderEngine.loadTexture("/assets/minecraft/textures/gui/hud/doom.png").bind();
 
         List<Integer> parts = new ArrayList<>();
 
@@ -207,7 +206,7 @@ public class GuiIngameDoom
     private void drawArmsButton(int x, int y, int number, boolean active)
     {
         GL11.glColor4f(1f, 1f, 1f, 1f);
-        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/doom.png"));
+        mc.renderEngine.loadTexture("/assets/minecraft/textures/gui/hud/doom.png").bind();
 
         int u = 13;
         int v = 196;
@@ -267,7 +266,7 @@ public class GuiIngameDoom
         int q = 0;
         for (int i = currentItem - offset; i < currentItem - offset + 4; i++)
         {
-            ItemStack stack = mc.thePlayer.inventory.getStackInSlot(i);
+            ItemStack stack = mc.thePlayer.inventory.getItem(i);
             int x = width / 2 + 94;
             int y = height - 37 + q * 9;
 
diff --git a/src/main/java/net/minecraft/client/gui/GuiIngameMenu.java b/src/main/java/net/minecraft/client/gui/GuiIngameMenu.java
index 582577a94..42bdf4baf 100644
--- a/src/main/java/net/minecraft/client/gui/GuiIngameMenu.java
+++ b/src/main/java/net/minecraft/client/gui/GuiIngameMenu.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.gui;
 
-import net.minecraft.client.Minecraft;
+import net.minecraft.client.gui.achievements.GuiAchievements;
 import net.minecraft.client.gui.guidebook.GuiGuidebook;
 import net.minecraft.client.gui.guidebook.PageManager;
 import net.minecraft.client.gui.guidebook.search.SearchPage;
@@ -64,7 +64,7 @@ public class GuiIngameMenu extends GuiScreen
         }
         if(button.id == 1)
         {
-            mc.statsCounter.addValueToStat(StatList.leaveGameStat, 1);
+            mc.statsCounter.add(StatList.leaveGameStat, 1);
             if(mc.isMultiplayerWorld())
             {
                 mc.theWorld.sendQuittingDisconnectingPacket();
@@ -122,7 +122,7 @@ public class GuiIngameMenu extends GuiScreen
         if(isSaving || updateCounter < 20)
         {
             float f1 = ((float)(updateCounter % 10) + partialTick) / 10F;
-            f1 = MathHelper.sin(f1 * 3.141593F * 2.0F) * 0.2F + 0.8F;
+            f1 = MathHelper.sin(f1 * MathHelper.PI * 2.0F) * 0.2F + 0.8F;
             int k = (int)(255F * f1);
             drawString(fontRenderer, i.translateKey("gui.ingame_menu.label.saving"), 8, height - 16, k << 16 | k << 8 | k);
         }
diff --git a/src/main/java/net/minecraft/client/gui/GuiInventory.java b/src/main/java/net/minecraft/client/gui/GuiInventory.java
index 74249ed7c..17c899895 100644
--- a/src/main/java/net/minecraft/client/gui/GuiInventory.java
+++ b/src/main/java/net/minecraft/client/gui/GuiInventory.java
@@ -7,10 +7,11 @@ import java.util.List;
 
 import net.minecraft.client.gui.options.GuiOptionButton;
 import net.minecraft.client.input.controller.ControllerInput;
-import net.minecraft.core.achievement.AchievementList;
-import net.minecraft.core.entity.player.EntityPlayer;
+import net.minecraft.client.render.texture.stitcher.TextureRegistry;
+import net.minecraft.core.achievement.Achievements;
+import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
-import net.minecraft.core.item.Item;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.client.option.GameSettings;
 import net.minecraft.core.player.gamemode.Gamemode;
@@ -22,10 +23,11 @@ import org.lwjgl.opengl.GL11;
 import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.DamageType;
 import net.minecraft.client.option.BooleanOption;
+import org.lwjgl.opengl.GL12;
 
 // Referenced classes of package net.minecraft.src:
-//            GuiContainer, EntityPlayer, AchievementList, FontRenderer, 
-//            RenderEngine, EntityPlayerSP, RenderHelper, RenderManager, 
+//            GuiContainer, Player, Achievements, FontRenderer,
+//            RenderEngine, LocalPlayer, RenderHelper, RenderManager,
 //            GuiButton, GuiAchievements, GuiStats
 
 public class GuiInventory extends GuiContainer
@@ -39,11 +41,11 @@ public class GuiInventory extends GuiContainer
 	
 	private DamageType hoveredDamageType;
 
-    public GuiInventory(EntityPlayer player)
+    public GuiInventory(Player player)
     {
         super(player.inventorySlots);
         allowIngameInput = true;
-        player.addStat(AchievementList.OPEN_INVENTORY, 1);
+        player.addStat(Achievements.OPEN_INVENTORY, 1);
     }
 
     @Override
@@ -90,16 +92,16 @@ public class GuiInventory extends GuiContainer
 			compass = true;
 			rotaryCalendar = true;
 		} else {
-			for (int iinv = 0; iinv < mc.thePlayer.inventory.getSizeInventory(); iinv++) {
-				ItemStack item = mc.thePlayer.inventory.getStackInSlot(iinv);
+			for (int iinv = 0; iinv < mc.thePlayer.inventory.getContainerSize(); iinv++) {
+				ItemStack item = mc.thePlayer.inventory.getItem(iinv);
 				if (item != null) {
-					if (item.itemID == Item.toolClock.id) {
+					if (item.itemID == Items.TOOL_CLOCK.id) {
 						clock = true;
 					}
-					if (item.itemID == Item.toolCompass.id) {
+					if (item.itemID == Items.TOOL_COMPASS.id) {
 						compass = true;
 					}
-					if (item.itemID == Item.toolCalendar.id) {
+					if (item.itemID == Items.TOOL_CALENDAR.id) {
 						rotaryCalendar = true;
 					}
 				}
@@ -153,8 +155,7 @@ public class GuiInventory extends GuiContainer
         if(mc.gameSettings.armorProtectionOverlay.value && armorButton.enabled) {
         	drawProtectionOverlay(mouseX, mouseY);
         }
-        int inventoryTex = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/inventory.png");
-        mc.renderEngine.bindTexture(inventoryTex);
+        mc.renderEngine.loadTexture("/assets/minecraft/textures/gui/container/inventory.png").bind();
         
         glColor4d(1.0, 1.0, 1.0, 1.0);
         glDisable(GL_BLEND);
@@ -200,9 +201,6 @@ public class GuiInventory extends GuiContainer
         glEnable(GL_BLEND);
         drawGradientRect(x, y, x + w, y + h, protectionOverlayBgColor.getARGB(), protectionOverlayBgColor.getARGB());
 
-        int iconsTex = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/icons.png");
-        mc.renderEngine.bindTexture(iconsTex);
-        
         glDisable(GL_BLEND);
         glDisable(GL_CULL_FACE);
 
@@ -224,7 +222,7 @@ public class GuiInventory extends GuiContainer
     			
     			glEnable(GL_TEXTURE_2D);
     			glColor4d(1.0, 1.0, 1.0, 1.0);
-    			drawTexturedModalRect(x2 + 2, y2 + 2, 0, 16 + 9 * damageType.getIconIndex(), 9, 9);
+                drawGuiIcon(x2 + 2, y2 + 2, 9, 9, TextureRegistry.getTexture(damageType.getIcon()));
     			
     			glDisable(GL_TEXTURE_2D);
     			
@@ -258,21 +256,20 @@ public class GuiInventory extends GuiContainer
     @Override
 	protected void drawGuiContainerBackgroundLayer(float f)
     {
-        int inventoryTex = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/inventory.png");
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        mc.renderEngine.bindTexture(inventoryTex);
+        mc.renderEngine.loadTexture("/assets/minecraft/textures/gui/container/inventory.png").bind();
         int j = (width - xSize) / 2;
         int k = (height - ySize) / 2;
         drawTexturedModalRect(j, k, 0, 0, xSize, ySize);
-        GL11.glEnable(32826 /*GL_RESCALE_NORMAL_EXT*/);
-        GL11.glEnable(2903 /*GL_COLOR_MATERIAL*/);
+        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
+        GL11.glEnable(GL11.GL_COLOR_MATERIAL);
         GL11.glEnable(GL11.GL_DEPTH_TEST);
         GL11.glPushMatrix();
         GL11.glTranslatef(j + 51, k + 75, 50F);
         float f1 = 30F;
         GL11.glScalef(-f1, f1, f1);
         GL11.glRotatef(180F, 0.0F, 0.0F, 1.0F);
-        float f2 = mc.thePlayer.renderYawOffset;
+        float f2 = mc.thePlayer.yBodyRot;
         float f3 = mc.thePlayer.yRot;
         float f4 = mc.thePlayer.xRot;
         float f5 = (float)(j + 51) - xSize_lo;
@@ -281,7 +278,7 @@ public class GuiInventory extends GuiContainer
         Lighting.enableLight();
         GL11.glRotatef(-135F, 0.0F, 1.0F, 0.0F);
         GL11.glRotatef(-(float)Math.atan(f6 / 40F) * 20F, 1.0F, 0.0F, 0.0F);
-        mc.thePlayer.renderYawOffset = (float)Math.atan(f5 / 40F) * 20F;
+        mc.thePlayer.yBodyRot = (float)Math.atan(f5 / 40F) * 20F;
         mc.thePlayer.yRot = (float)Math.atan(f5 / 40F) * 40F;
         mc.thePlayer.xRot = -(float)Math.atan(f6 / 40F) * 20F;
         mc.thePlayer.entityBrightness = 1.0F;
@@ -289,12 +286,12 @@ public class GuiInventory extends GuiContainer
         EntityRenderDispatcher.instance.viewLerpYaw = 180F;
         EntityRenderDispatcher.instance.renderEntityWithPosYaw(Tessellator.instance, mc.thePlayer, 0.0D, 0.0D, 0.0D, 0.0F, 1.0F);
         mc.thePlayer.entityBrightness = 0.0F;
-        mc.thePlayer.renderYawOffset = f2;
+        mc.thePlayer.yBodyRot = f2;
         mc.thePlayer.yRot = f3;
         mc.thePlayer.xRot = f4;
         GL11.glPopMatrix();
         Lighting.disable();
-        GL11.glDisable(32826 /*GL_RESCALE_NORMAL_EXT*/);
+        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
     }
 
     @Override
